NFSD(8)

NAME
nfsd - remote NFS server

SYNOPSIS
nfsd [-rtu] [-n num_servers]

DESCRIPTION
nfsd runs on a server machine to service NFS requests from client machines. At least one nfsd must be running for a machine to operate as a server.

Unless otherwise specified, four servers for UDP transport are started.

The options are as follows:

-n num_servers
    Specifies how many servers to create (max 20).

-r  Register the NFS service with portmap(8) without creating any servers. This option can be used along with the -u or -t options to re-register NFS if the portmap server is restarted.

-t  Serve TCP NFS clients.

-u  Serve UDP NFS clients.

For example, “nfsd -u -t -n 6” serves UDP and TCP transports using six daemons.

A server should run enough daemons to handle the maximum level of concurrency from its clients, typically four to six.

nfsd listens for service requests at the port indicated in the NFS server specification; see RFCs 1094 and 1813.

EXIT STATUS

SEE ALSO
nfsstat(1), nfssvc(2), mountd(8), portmap(8)

HISTORY
The nfsd utility first appeared in 4.3BSD Reno.